cURL
curl --request GET \
--url https://api.maesn.dev/accounting/offers/{offerId}/lineItems/{lineItemId} \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/offers/{offerId}/lineItems/{lineItemId}"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/offers/{offerId}/lineItems/{lineItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": {
"id": "c1f85763-5be6-ee11-a201-6045bde98d28",
"accountCode": "8400",
"accountId": "a23cc-334rn-finsd-438m",
"createdDate": "2021-01-01T00:00:00Z",
"description": "SYDNEY Schreibtischstuhl, grün",
"itemId": "f9f6653e-5be6-ee11-a201-6045bde98d28",
"name": "GREEN CHAIR",
"quantity": 1,
"taxCode": "CODE.19",
"taxRatePercentage": "19",
"taxType": "type-19",
"type": "ITEM",
"totalDiscountAmount": 10,
"totalDiscountPercentage": 10,
"totalGrossAmount": 109,
"totalNetAmount": 100,
"totalTaxAmount": 19,
"unitAmount": 100,
"unitDiscountAmount": 10,
"unitDiscountPercentage": 10,
"unitName": "STÜCK",
"updatedDate": "2021-01-01T00:00:00Z"
}
}Offer Lines
Get offer line
GET
/
accounting
/
offers
/
{offerId}
/
lineItems
/
{lineItemId}
cURL
Field support per integration

Business Central
Business Central
If you’re not using the Interactive Authentication Flow, make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.boolean
string
string
string
string
number
string
number
enum
Available options (3-letter ISO 4217):
ITEM, COMMENT, ACCOUNT, CHARGE, VALUE, RESOURCE, FIXED_ASSETnumber
number
number
number
number
number
string

Sage Active
Sage Active
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section. Please use the id field as the companyId.boolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
number
Note that quantity can be a decimal numeral.
number
number
number
number
number
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
Last modified on July 9, 2026
Was this page helpful?